Name:           ocaml-atd
Version:        1.0.1
Release:        %mkrel 5
Summary:        ATD is a syntax for defining cross-language data types
License:        BSD
Group:          Development/OCaml
URL:            http://oss.wink.com/atd/
Source0:        http://oss.wink.com/atd/atd-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  camlmix
BuildRequires:  menhir

%description
ATD stands for Adaptable Type Definitions. It is a syntax for defining
cross-language data types.

The main novelty is that this single aspect of data exchange is treated
independently from the problems of transport protocols and serialization
format. The language is properly documented and supports sum types,
parametrized types and inheritance. Any specific programming language or
data format can be accomodated using semi-structured annotations that
complete the canonical type definitions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n atd-%{version}

%build
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/atd
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir}

%files
%doc README INSTALL LICENSE Changes.txt
%dir %{_libdir}/ocaml/atd
%{_libdir}/ocaml/atd/META
%{_libdir}/ocaml/atd/*.cma
%{_libdir}/ocaml/atd/*.cmo
%{_libdir}/ocaml/atd/*.cmi
%{_bindir}/atdcat

%files devel
%doc odoc/
%doc manual/
%{_libdir}/ocaml/atd/*.a
%{_libdir}/ocaml/atd/*.o
%{_libdir}/ocaml/atd/*.cmxa
%{_libdir}/ocaml/atd/*.cmx
%{_libdir}/ocaml/atd/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-5.mga3
+ Revision: 361145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 1.0.1-4.mga3
+ Revision: 326531
- rebuild for new ocaml

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.0.1-3.mga3
+ Revision: 302183
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.1-2.mga3
+ Revision: 300032
- new rpm group for ocaml

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.0.1-1.mga3
+ Revision: 263099
- needs menhir to compile
- imported package ocaml-atd

